=== debian/changelog ===
lua-iconv (6-6) unstable; urgency=low

  * Bump Standards-Version to 3.9.3, no changes necessary
  * Use dh-lua
  * Rename package according to new Lua policy

 -- Jon Bernard <jbernard@debian.org>  Sat, 05 May 2012 20:10:19 -0400

lua-iconv (6-5) unstable; urgency=low

  * Update watchfile to look on github for new releases

 -- Jon Bernard <jbernard@debian.org>  Wed, 05 Oct 2011 20:42:34 -0400

lua-iconv (6-4) unstable; urgency=low

  * Add support for multiarch
  * Bump Standards-Version to 3.9.2, no changes necessary
  * Add debian source format, 3.0 (quilt)

 -- Jon Bernard <jbernard@debian.org>  Sat, 27 Aug 2011 19:35:51 -0400

lua-iconv (6-3) unstable; urgency=low

  * debian/control: Conflicts, Provides, and Replaces lua-iconv
    (Closes: #557052)

 -- Jon Bernard <jbernard@debian.org>  Fri, 20 Nov 2009 18:58:12 -0600

lua-iconv (6-2) unstable; urgency=low

  * debian/control: update package name to conform to lua standard
    (Closes: #544958)
  * debian/control: add Vcs fields
  * debian/control: update package description
  * debian/watch: look for new upstream releases on luaforge (Closes: #544960)

 -- Jon Bernard <jbernard@debian.org>  Wed, 28 Oct 2009 11:58:00 -0400

lua-iconv (6-1) unstable; urgency=low

  * Initial release (Closes: #540298)

 -- Jon Bernard <jbernard@debian.org>  Sun, 02 Aug 2009 13:50:50 -0400
