=== debian/control ===
Source: lua-iconv
Section: interpreters
Priority: optional
Maintainer: Jon Bernard <jbernard@debian.org>
Build-Depends: debhelper (>= 8.1.3), dh-lua, pkg-config
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-iconv
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-iconv
Homepage: http://luaforge.net/projects/lua-iconv/

Package: lua-iconv
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: lua5.1
Replaces: liblua5.1-iconv0 (<< 6-4~)
Breaks: liblua5.1-iconv0 (<< 6-4~)
Provides: liblua5.1-iconv0, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: iconv bindings for the Lua programming language
 This package provides POSIX 'iconv' bindings for the Lua programming language.
 It converts a sequence of characters from one codeset into a sequence of
 corresponding characters in another codeset.

Package: lua-iconv-dev
Architecture: any
Depends: lua-iconv (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
XB-Lua-Versions: ${lua:Versions}
Description: iconv bindings for Lua - development files
 This package contains the development files of the Lua iconv
 library bindings, useful to create a statically linked binary (like a
 C application or a standalone Lua interpreter).

Package: liblua5.1-iconv0
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-iconv
Description: Transitional package for lua-iconv
 This is a transitional package to ease upgrades to the lua-iconv
 package. It can safely be removed.
