=== debian/changelog ===
lua-iconv (7-3) unstable; urgency=medium

  * [d27c90a] debian/watch: query github directly for release tags
  * [5c18de6] Remove gbp.conf, no necessary anymore
  * [1f0a736] Update vcs fields.
    Thanks to Asbjørn Sloth Tønnesen (Closes: #826754)
  * [8e5f195] Add support for lua 5.3.
    Thanks to Asbjørn Sloth Tønnesen (Closes: #826755)
  * [1276c3f] Bump debhelper dependency version to 9
  * [17d3726] Bump standards version to 3.9.8, no changes necessary
  * [273b703] Remove old transition package, no needed anymore

 -- Jon Bernard <jbernard@debian.org>  Wed, 22 Jun 2016 15:41:35 +0000

lua-iconv (7-2) unstable; urgency=low

  * Add debian/gbp.conf
  * Update watch file

 -- Jon Bernard <jbernard@debian.org>  Tue, 27 Nov 2012 13:51:14 -0500

lua-iconv (7-1) unstable; urgency=low

  * New upstream version 7
  * control: update homepage url
  * copyright: update upstream author email address
  * Build packages for both lua 5.1 and 5.2

 -- Jon Bernard <jbernard@debian.org>  Mon, 28 May 2012 16:15:06 -0400
