=== debian/control ===
Source: lua-iconv
Section: interpreters
Priority: optional
Maintainer: Jon Bernard <jbernard@debian.org>
Build-Depends: debhelper (>= 9~), dh-lua (>= 21), pkg-config
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-lua/lua-iconv.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-iconv.git/
Homepage: http://ittner.github.com/lua-iconv/

Package: lua-iconv
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: iconv bindings for the Lua programming language
 This package provides POSIX 'iconv' bindings for the Lua programming language.
 It converts a sequence of characters from one codeset into a sequence of
 corresponding characters in another codeset.

Package: lua-iconv-dev
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, lua-iconv (= ${binary:Version})
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Section: libdevel
Description: iconv bindings for Lua - development files
 This package contains the development files of the Lua iconv
 library bindings, useful to create a statically linked binary (like a
 C application or a standalone Lua interpreter).
