=== debian/watch ===
version=3
https://github.com/ittner/lua-iconv/tags .*-(.*).tar.gz
